if (!defined &_STDIO_H) {
    eval 'sub _STDIO_H {1;}';
    require 'sys/feature_tests.ph';
    require 'sys/va_list.ph';
    if (defined &__cplusplus) {
    }
    if (!defined &_SIZE_T) {
	eval 'sub _SIZE_T {1;}';
    }
    if (!defined &NULL) {
	eval 'sub NULL {0;}';
    }
    eval 'sub BUFSIZ {1024;}';
    if (defined( &_XOPEN_SOURCE) && ( &_XOPEN_VERSION - 0 == 4) && !defined( &_VA_LIST)) {
	eval 'sub _VA_LIST {1;}';
    }
    if (defined &__STDC__) {
	if (# &machine( &i386) || defined( &__i386)) {
	    eval 'sub _NFILE {60;}';
	}
	elsif (# &machine( &ppc) || defined( &__ppc)) {
	    eval 'sub _NFILE {20;}';
	}
	else {
	    eval 'sub _NFILE {20;}';
	}
    }
    else {
	if (defined( &i386) || defined( &__i386)) {
	    eval 'sub _NFILE {60;}';
	}
	elsif (defined( &__ppc)) {
	    eval 'sub _NFILE {20;}';
	}
	else {
	    eval 'sub _NFILE {20;}';
	}
    }
    eval 'sub _SBFSIZ {8;}';
    eval 'sub _IOFBF {0000;}';
    eval 'sub _IOLBF {0100;}';
    eval 'sub _IONBF {0004;}';
    eval 'sub _IOEOF {0020;}';
    eval 'sub _IOERR {0040;}';
    eval 'sub _IOREAD {0001;}';
    eval 'sub _IOWRT {0002;}';
    eval 'sub _IORW {0200;}';
    eval 'sub _IOMYBUF {0010;}';
    if (!defined &EOF) {
	eval 'sub EOF {(-1);}';
    }
    eval 'sub FOPEN_MAX { &_NFILE;}';
    eval 'sub FILENAME_MAX {1024;}';
    eval 'sub SEEK_SET {0;}';
    eval 'sub SEEK_CUR {1;}';
    eval 'sub SEEK_END {2;}';
    eval 'sub TMP_MAX {17576;}';
    if (defined( &__EXTENSIONS__) ||  &__STDC__ - 0 == 0 || defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE)) {
	eval 'sub L_ctermid {9;}';
	eval 'sub L_cuserid {9;}';
    }
    if (defined( &__EXTENSIONS__) || (( &__STDC__ - 0 == 0 && !defined( &_POSIX_C_SOURCE))) || defined( &_XOPEN_SOURCE)) {
	eval 'sub P_tmpdir {"/var/tmp/";}';
    }
    eval 'sub L_tmpnam {25;}';
    if (defined( &__STDC__)) {
	eval 'sub stdin {(& &__iob[0]);}';
	eval 'sub stdout {(& &__iob[1]);}';
	eval 'sub stderr {(& &__iob[2]);}';
    }
    else {
	eval 'sub stdin {(& &_iob[0]);}';
	eval 'sub stdout {(& &_iob[1]);}';
	eval 'sub stderr {(& &_iob[2]);}';
    }
    if (defined &_STDIO_REVERSE) {
    }
    else {
    }
    if (defined( &__STDC__)) {
    }
    else {
    }
    if (!defined &_STDIO_ALLOCATE) {
    }
    if (defined( &__STDC__)) {
	if (defined( &__EXTENSIONS__) || defined( &_REENTRANT)) {
	}
	if (defined( &__EXTENSIONS__) ||  &__STDC__ == 0 || defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE)) {
	}
	if (defined( &__EXTENSIONS__) || defined( &_REENTRANT) || ( &_POSIX_C_SOURCE - 0 >= 199506 &L)) {
	}
	if (defined( &__EXTENSIONS__) ||  &__STDC__ == 0 || defined( &_XOPEN_SOURCE)) {
	    if (!defined( &_XOPEN_SOURCE)) {
	    }
	}
    }
    else {
	eval 'sub _bufend {
	    local($p) = @_;
	    eval "(( &fileno($p) <  &_NFILE) ?  &_bufendtab[($p)-> &_file] :  &_realbufend($p))";
	}';
	eval 'sub _bufsiz {
	    local($p) = @_;
	    eval "( &_bufend($p) - ($p)-> &_base)";
	}';
	if (defined( &__EXTENSIONS__) || defined( &_REENTRANT)) {
	}
	if (defined( &__EXTENSIONS__) || defined( &_REENTRANT) || ( &_POSIX_C_SOURCE - 0 >= 199506 &L)) {
	}
	if (!defined( &_XOPEN_SOURCE)) {
	}
    }
    if (!defined( &lint) && !defined( &__lint)) {
	if (!defined &_REENTRANT) {
	    if (defined &__STDC__) {
		eval 'sub getc {
		    local($p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &__filbuf($p) : *($p)-> &_ptr++)";
		}';
		eval 'sub putc {
		    local($x, $p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &__flsbuf( ($x), ($p)) : (*($p)-> &_ptr++ = ($x)))";
		}';
	    }
	    else {
		eval 'sub getc {
		    local($p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &_filbuf($p) :  *($p)-> &_ptr++)";
		}';
		eval 'sub putc {
		    local($x, $p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &_flsbuf( ($x), ($p)) :  (*($p)-> &_ptr++ =  ($x)))";
		}';
	    }
	    eval 'sub getchar {
	        eval " &getc( &stdin)";
	    }';
	    eval 'sub putchar {
	        local($x) = @_;
	        eval " &putc(($x),  &stdout)";
	    }';
	    eval 'sub clearerr {
	        local($p) = @_;
	        eval "(( &void)(($p)-> &_flag &= ~( &_IOERR |  &_IOEOF)))";
	    }';
	    eval 'sub feof {
	        local($p) = @_;
	        eval "(($p)-> &_flag &  &_IOEOF)";
	    }';
	    eval 'sub ferror {
	        local($p) = @_;
	        eval "(($p)-> &_flag &  &_IOERR)";
	    }';
	}
	if (defined( &__EXTENSIONS__) || ( &__STDC__ -0 == 0) || defined( &_POSIX_C_SOURCE) || defined( &_XOPEN_SOURCE)) {
	    eval 'sub fileno {
	        local($p) = @_;
	        eval "(($p)-> &_file)";
	    }';
	}
	if (defined( &__EXTENSIONS__) || defined( &_REENTRANT) || ( &_POSIX_C_SOURCE - 0 >= 199506 &L)) {
	    if (defined &__STDC__) {
		eval 'sub getc_unlocked {
		    local($p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &__filbuf($p) : *($p)-> &_ptr++)";
		}';
		eval 'sub putc_unlocked {
		    local($x, $p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &__flsbuf( ($x), ($p)) : (*($p)-> &_ptr++ = ($x)))";
		}';
	    }
	    else {
		eval 'sub getc_unlocked {
		    local($p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &_filbuf($p) : *($p)-> &_ptr++)";
		}';
		eval 'sub putc_unlocked {
		    local($x, $p) = @_;
		    eval "(--($p)-> &_cnt < 0 ?  &_flsbuf( ($x), ($p)) : (*($p)-> &_ptr++ = ($x)))";
		}';
	    }
	    eval 'sub getchar_unlocked {
	        eval " &getc_unlocked( &stdin)";
	    }';
	    eval 'sub putchar_unlocked {
	        local($x) = @_;
	        eval " &putc_unlocked(($x),  &stdout)";
	    }';
	}
    }
    if (defined &__cplusplus) {
    }
}
1;
