if (!defined &_SYS_MUTEX_H) {
    eval 'sub _SYS_MUTEX_H {1;}';
    if (!defined &_ASM) {
	require 'sys/types.ph';
	require 'sys/dki_lkinfo.ph';
    }
    if (defined &__cplusplus) {
    }
    if (!defined &_ASM) {
	if (defined( &_LOCKTEST) || defined( &_MPSTATS)) {
	    eval 'sub MUTEX_DEFAULT { &MUTEX_ADAPTIVE_STAT;}';
	    eval 'sub MUTEX_DRIVER { &MUTEX_DRIVER_STAT;}';
	    eval 'sub MUTEX_SPIN_DEFAULT { &MUTEX_SPIN_STAT;}';
	}
	else {
	    eval 'sub MUTEX_DEFAULT { &MUTEX_ADAPTIVE_DEF;}';
	    eval 'sub MUTEX_DRIVER { &MUTEX_DRIVER_NOSTAT;}';
	    eval 'sub MUTEX_SPIN_DEFAULT { &MUTEX_SPIN;}';
	}
	eval 'sub DEFAULT_WT { &NULL;}';
	if (defined( &_KERNEL) && defined( &__STDC__)) {
	    eval 'sub MUTEX_HELD {
	        local($x) = @_;
	        eval "( &mutex_owned($x))";
	    }';
	    eval 'sub MUTEX_NOT_HELD {
	        local($x) = @_;
	        eval "(! &mutex_owned($x) ||  &panicstr)";
	    }';
	}
    }
    if (defined &__cplusplus) {
    }
}
1;
